function openNetworkIO
% Init network communication to ACN Network-IO device
%
%
% Copyright:	Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)
% Contact:      OTBR-Toolbox@ruhr-uni-bochum.de
% Source Code:  https://gitlab.ruhr-uni-bochum.de/ikn/OTBR
%
% Please cite the OTBR Toolbox where this function is used.
% Cite as:      Otto, T., Rose, J. The open toolbox for behavioral research. Behav Res (2023). 
%               https://doi.org/10.3758/s13428-023-02199-x
%
% See also:  bIO, closeNetworkIO

% VERSION HISTORY:
% Tobias Otto
% 1.0
% 03.03.2018

% 03.03.2018, Tobias: first draft

%% Init variables
global SETUP

SETUP.udpDIO.odroidIP   = SETUP.networkDIO.odroidIP;
SETUP.udpDIO.odroidPort = 5005;
SETUP.udpDIO.localPort  = 5005;
SETUP.udpDIO.initPins   = '00000000';
SETUP.udpDIO.currPins   = SETUP.udpDIO.initPins;

% For the toolbox ... nothing to do here
SETUP.networkDIO.initDone = 1;

%% User info
disp([' Connected to IP ' SETUP.networkDIO.odroidIP ':' num2str(SETUP.udpDIO.odroidPort)]);
