function out = computeCRC(in)
% Helper function that computes the CRC value of the serial port
%
%
% Copyright:	Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)
% Contact:      OTBR-Toolbox@ruhr-uni-bochum.de
% Source Code:  https://gitlab.ruhr-uni-bochum.de/ikn/OTBR
%
% Please cite the OTBR Toolbox where this function is used.
% Cite as:      Otto, T., Rose, J. The open toolbox for behavioral research. Behav Res (2023). 
%               https://doi.org/10.3758/s13428-023-02199-x
%
% See also:

% VERSION HISTORY:
% Author:         Tobias Otto
% Version:        0.1
% Last Change:    28.02.2011

% 28.02.2011, Tobias: first draft

out = xor(xor(double2binvec(in(1)),double2binvec(in(2))),double2binvec(in(3)));
out = binvec2double(out);