function closeNetworkIO
% Use this function to close the network connection to the network IO
% device
%
%
% Copyright:	Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)
% Contact:      OTBR-Toolbox@ruhr-uni-bochum.de
% Source Code:  https://gitlab.ruhr-uni-bochum.de/ikn/OTBR
%
% Please cite the OTBR Toolbox where this function is used.
% Cite as:      Otto, T., Rose, J. The open toolbox for behavioral research. Behav Res (2023). 
%               https://doi.org/10.3758/s13428-023-02199-x
%
% See also:  bIO, initNetworkIO

% VERSION HISTORY:
% Tobias Otto
% 1.1
% 22.07.2015

% 05.06.2015, Tobias: first draft
% 22.07.2016, Tobias: removed option to shutdown server and cosmetics

%% Init variables
global SETUP

%% Get status of connection
status = pnet(SETUP.networkDIO.obj,'status');
if(status > 0)
    [ip,port]   = pnet(SETUP.networkDIO.obj,'gethost');
    fprintf('Connected to: %d.%d.%d.%d:%d\n', ip(1), ip(2), ip(3), ip(4), port);
elseif(status == 0)
    disp('Peer has disconnect!')
end

%% Close the pnet udp connection
SETUP.networkDIO.initDone = 0;
pnet('closeall')
disp('Connection closed!');
