function closeNetworkIO
% Use this function to close the network connection to the network IO
% device
%
%
% Copyright:	Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)
% Contact:      OTBR-Toolbox@ruhr-uni-bochum.de
% Source Code:  https://gitlab.ruhr-uni-bochum.de/ikn/OTBR
%
% Please cite the OTBR Toolbox where this function is used.
% Cite as:      Otto, T., Rose, J. The open toolbox for behavioral research. Behav Res (2023). 
%               https://doi.org/10.3758/s13428-023-02199-x
%
% See also:  bIO, initNetworkIO

% VERSION HISTORY:
% Tobias Otto
% 1.0
% 24.10.2015

% 24.10.2015, Tobias: first draft

%% Init variables
global SETUP

%% Get status of connection
if(strcmpi(SETUP.networkDIO.obj.Status, 'open'))
    fprintf('Connected to: %s:%d\n', SETUP.networkDIO.obj.RemoteHost, SETUP.networkDIO.obj.RemotePort);
else
    disp('Peer has disconnect!')
end

%% Close the pnet udp connection
% Close connection
fclose(SETUP.networkDIO.obj);
% Delete connection
delete(SETUP.networkDIO.obj);

% Clean up and user info
SETUP.networkDIO.initDone = 0;
disp('Connection closed!');
