function dataAvailable
% Callback function to read data from the network io box
% Never call this function directly
%
%
% Copyright:	Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)
% Contact:      OTBR-Toolbox@ruhr-uni-bochum.de
% Source Code:  https://gitlab.ruhr-uni-bochum.de/ikn/OTBR
%
% Please cite the OTBR Toolbox where this function is used.
% Cite as:      Otto, T., Rose, J. The open toolbox for behavioral research. Behav Res (2023). 
%               https://doi.org/10.3758/s13428-023-02199-x

% VERSION HISTORY:
% Author:         Tobias Otto
% Version:        1.0
% Last Change:    25.10.2016

% 25.10.2015, Tobias: first draft

%% Get access to data
global SETUP

%% Get data, because data are available ;)
SETUP.networkDIO.data = fread(SETUP.networkDIO.obj, SETUP.networkDIO.obj.BytesAvailable, 'uint32');