function [lanHand, remotePort] = connectUdp2Monitor(remoteIP, localIP)
% function [lanHand, remotePort] = connectUdp2Monitor(remoteIP, localIP)
%
%
% Copyright:	Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)
% Contact:      OTBR-Toolbox@ruhr-uni-bochum.de
% Source Code:  https://gitlab.ruhr-uni-bochum.de/ikn/OTBR
%
% Please cite the OTBR Toolbox where this function is used.
% Cite as:      Otto, T., Rose, J. The open toolbox for behavioral research. Behav Res (2023). 
%               https://doi.org/10.3758/s13428-023-02199-x

% Author    : Jonas Rose/ Tobias Otto
% Version   : 0.1
% Date      : 21.02.2020

% 21.02.2020, Tobias: first draft

% clients are always port 5500
localPort = 5500;

%% open udp socket
% port on remote monitor depends on local client ip
ind     = strfind(localIP,'.');
remotePort = str2double(localIP(ind(end)+1:end))+ localPort;
% make the socket
lanHand = pnet('udpsocket', localPort);
% connect
pnet(lanHand,'udpconnect', remoteIP, remotePort);
% % configure socket to only wait briefly for packets (read)
% pnet(lanHand,'setreadtimeout',.1);