function s = removeSVNEntriesFromString(s)
% This functions searches for '.svn' entries in a string generated from
% genpath and returns the clean paths
%
%
% Copyright:	Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)
% Contact:      OTBR-Toolbox@ruhr-uni-bochum.de
% Source Code:  https://gitlab.ruhr-uni-bochum.de/ikn/OTBR
%
% Please cite the OTBR Toolbox where this function is used.

% Tobias Otto
% 1.0
% 05.06.2018

% 05.07.2016, Tobias: first draft
% 05.06.2018, Tobias: added support for RaspberryPi

%% Init variables
global SETUP

%% Get positions
svnPos  = strfind(s,'.svn');
if(SETUP.platformNum == 1)
    semiPos = strfind(s,';');
elseif(SETUP.platformNum == 2)
    semiPos = strfind(s,':');
end

%% Loop trough svnPos to remove entries
index = [];
for i=1:length(svnPos)-1
    tmp     = find(semiPos<svnPos(i));
    index1  = semiPos(tmp(end));
    index2  = semiPos(tmp(end)+1);
    index   = [index index1+1:index2];
end

%% Remove svn entries
s(index) = [];
