function s = removeGitEntriesFromString(s)
% This functions searches for '.svn' entries in a string generated from
% genpath and returns the clean paths
%
%
% Copyright:	Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)
% Contact:      OTBR-Toolbox@ruhr-uni-bochum.de
% Source Code:  https://gitlab.ruhr-uni-bochum.de/ikn/OTBR
%
% Please cite the OTBR Toolbox where this function is used.
% Cite as:      Otto, T., Rose, J. The open toolbox for behavioral research. Behav Res (2023). 
%               https://doi.org/10.3758/s13428-023-02199-x

% Tobias Otto
% 1.0
% 20.12.2022

% 20.12.2022, Tobias: first draft based on removeSVNEntriesFromString

%% Init variables
global SETUP

%% Get positions
svnPos  = strfind(s,'.git');
if(SETUP.platformNum == 1)
    semiPos = strfind(s,';');
elseif(SETUP.platformNum == 2)
    semiPos = strfind(s,':');
end

%% Loop trough svnPos to remove entries
index = [];
for i=1:length(svnPos)-1
    tmp     = find(semiPos<svnPos(i));
    index1  = semiPos(tmp(end));
    index2  = semiPos(tmp(end)+1);
    index   = [index index1+1:index2];
end

%% Remove svn entries
s(index) = [];
