function [] = saveCode(fName, cde)
% function [] = saveCode(fName, cde)
%
% use this function to save output of getCode as *.m file
%
% INPUTS
% fName     : file name for saving (*.m file) to read
%
% Copyright:	Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)
% Contact:      OTBR-Toolbox@ruhr-uni-bochum.de
% Source Code:  https://gitlab.ruhr-uni-bochum.de/ikn/OTBR
%
% Please cite the OTBR Toolbox where this function is used.
% Cite as:      Otto, T., Rose, J. The open toolbox for behavioral research. Behav Res (2023). 
%               https://doi.org/10.3758/s13428-023-02199-x
%
% see also: getCode.m, save2File, save2ExcelFile.m

% VERSION HISTORY:
% Author:         Jonas Rose
% Version:        0.1
%
% Last Change:
% 03.10.15  : Jonas     : first draft
%
% BUGS/ TODO

% append .m if it's missing
if ~strncmp(fName(end:-1:end-1) ,'m.',2)
    fName = [fName '.m'];
end

% create file for writing and save code
fHand = fopen(fName,'w');
fwrite(fHand,cde, 'uint8');
fclose(fHand);