function sendTriggerMRI(mmap, pin, status)
% Use this function to send triggers to an external device using the
% parallel port. All IO communications are handled via a memory mapped
% file that is provided by triggerCounter2 and the initMRT functions.
% The arguments for turning on and off certain pins is similar to parchat
%
%
% Copyright:	Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)
% Contact:      OTBR-Toolbox@ruhr-uni-bochum.de
% Source Code:  https://gitlab.ruhr-uni-bochum.de/ikn/OTBR
%
% Please cite the OTBR Toolbox where this function is used.
% Cite as:      Otto, T., Rose, J. The open toolbox for behavioral research. Behav Res (2023). 
%               https://doi.org/10.3758/s13428-023-02199-x
%

% Tobias Otto
% 1.1
% 23.01.2020

% 15.12.2017, Tobias: first draft
% 23.01.2020, Tobias: changed name

%% Copy data to memory mapped files
mmap.Data(3:4) = [pin status];

% That's all ;)

