function [] = convertVtFiles(fName)
% function [] = convertVTFiles(fName)
%
% Converts one videotracker raw data file fom Tracker binary to *.mat file.
% This conversion should be done at the end of each experiment rather than
% later since the filesize is considerably smaller. If the tracker is run
% and destroyed within Matlab, vt.destroy will perform the conversion. This
% step is required only if the trakcer is run in a different Matlab
% instance or from a complied exe.
%
%
% Copyright:	Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)
% Contact:      OTBR-Toolbox@ruhr-uni-bochum.de
% Source Code:  https://gitlab.ruhr-uni-bochum.de/ikn/OTBR
%
% Please cite the OTBR Toolbox where this function is used.
% Cite as:      Otto, T., Rose, J. The open toolbox for behavioral research. Behav Res (2023). 
%               https://doi.org/10.3758/s13428-023-02199-x

% Author:	Jonas
% Version:  1.0
% Date:     19.10.2018
%
% Modifications:
% 15.09.2021, Aylin: corrected number of columns (from 7 to 10), necessary
%                    due to modified mmf 'datOutHand' ('*_dat.txt') now
%                    with 8 columns [xB,yB,angB,xW,yW,angW,frame#,time],
%                    bin file accordingly with 10 columns

% read the data
fHand   = fopen([fName '.bin'],'r');
dat     = fread(fHand, 'double');
fclose(fHand);

% reshape and save 'raw' data in a .mat file
dat = reshape(dat,10,[])'; % #### modification Aylin
save([fName '.mat'], 'dat');
pause(5)
% delete the binary file
delete([fName '.bin']);
